# Created by pyp2rpm-3.3.2
%global pypi_name django-staticinline

Name:           python-%{pypi_name}
Version:        1.3.1
Release:        %mkrel 1
Summary:        Django template tag to load static files inline with your template
Group:          Development/Python
License:        MIT
URL:            https://github.com/bartTC/django-staticinline
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools

%description
Works similar to Django's static templatetag, but this one includes the file
directly in the template, rather than a link to it.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Works similar to Django's static templatetag, but this one includes the file
directly in the template, rather than a link to it.

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf django_staticinline.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/staticinline/
%{python3_sitelib}/django_staticinline-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 05 2022 tex - 1.3.1-1pclos2022
- new version

